[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: svgalib libc6 (was: GS alladin 5.02 is out)

On Thu, Aug 07, 1997 at 09:43:37AM +0200, joost witteveen wrote:
> > > What version did you compile? The debian 1.2.10 release?
> > > That one for sure doesn't compile on a mashine that is setup to
> > > compile for libc6 stuff (I.e. has the hamm gcc, and libc6-dev installed).
> > 
> > I only have the version from hamm. It just worked! How are you testing
> > it to get a segfault -- does it segfault immediately, or only on
> > particular things? I have viewed PS and PDF files in both x11
> > (with gv) and svgalib successfully with it. I used 5.02,
> > and linked against the shared (Debian) zlib and libpng.
> And you recompiled gs too? If not, you're using the old libc5
> stuff. Yes, that works.
> Really, the version from hamm does not compile on a libc6-dev system.
> Perioud. There are a several includes files missing, and it's got
> several types wrong. You cannot have comiled the debian version from
> hamm on a libc6 development system. You may have had libc6 installed,
> but you compiled it with libc5 headers.

I recompiled gs. 

[12:10am] root@hamishpc:/share# ldd gs
        libXt.so.6 => /usr/X11R6/lib/libXt.so.6 (0x4000f000)
        libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x40051000)
        libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x4005c000)
        libpng.so.0 => /usr/lib/libpng.so.0 (0x400fa000)
        libm.so.6 => /lib/libm.so.6 (0x4011c000)
        libc.so.6 => /lib/libc.so.6 (0x40135000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)
        libSM.so.6 => /usr/X11R6/lib/libSM.so.6 (0x401d3000)
        libICE.so.6 => /usr/X11R6/lib/libICE.so.6 (0x401de000)

[12:12am] root@hamishpc:/share# dpkg -s svgalib1
Package: svgalib1
Status: install ok installed
Priority: optional
Section: libs
Installed-Size: 305
Maintainer: Larry Daffner <vizzie@airmail.net>
Source: svgalib
Version: 1:1.2.10-4
Replaces: svgalib, svgalib1-dev (<< 1.210-1)
Conflicts: svgalib1-dev (<< 1.210-1)

Package: libc6-dev
Status: install ok installed
Priority: standard
Section: devel
Installed-Size: 4668
Maintainer: Helmut Geyer <Helmut.Geyer@iwr.uni-heidelberg.de>
Source: glibc
Version: 2.0.4-1
Replaces: ldso (<< 1.9.0-0), man-db (<= 2.3.10-37), gettext (<= 0.10.26-1), ppp
(<= 2.2.0f-24)
Provides: libc-dev
Depends: libc6 (= 2.0.4-1), gcc (>=
Conflicts: libc-dev, libdl1-dev, libdb1-dev, libgdbm1-dev, libpthread0-dev
Description: The GNU C library version 2 (development files).
 Includes libc headers, kernel headers and static libraries.

I am happy to send the binary if you like.
It all looks completely libc6 to me. I had no problems at all
compiling it, except of course that I could not use
shared libjpeg as ghost does not support it, they say.

Hamish Moffatt, StudIEAust                                 hmoffatt@mail.com
Student, computer science & computer systems engineering.    3rd year, RMIT.
http://hamish.home.ml.org/ (PGP key here)             CPOM: [*****     ] 51%
Your train has been cancelled due to defective government at Spring Street..

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .

Reply to: